package com.xhkjedu.sapi.service.appversion;

import com.xhkjedu.sapi.listener.MessageSender;
import com.xhkjedu.sapi.mapper.appversion.AppScanMapper;
import com.xhkjedu.sapi.model.appversion.TAppScan;
import com.xhkjedu.sapi.vo.appversion.AppversionVo;
import com.xhkjedu.utils.N_Utils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ywx
 * @classname AppclientService
 * @description 
 * @date 2020/7/23 16:42
 **/
@Service
public class AppScanService {
    @Resource
    private AppScanMapper AppScanMapper;
    @Autowired
    private MessageSender messageSender;

    //添加
    public Integer save(TAppScan model) {
        model.setCreatetime(N_Utils.getSecondTimestamp());
        AppScanMapper.insertUseGeneratedKeys(model);
        return model.getId();
    }

    //删除
    public Integer deleteById(Integer versionid) {
        List<String> resourceUrls = AppScanMapper.listApppath(versionid);//获取APP文件
        Integer result = AppScanMapper.deleteByPrimaryKey(versionid);
        if(N_Utils.isListNotEmpty(resourceUrls)){
            messageSender.resourceDel(resourceUrls);//给文件服务器发送mq删除文件
        }
        return result;
    }

    //修改
    public Integer update(TAppScan model) {
        return AppScanMapper.updateByPrimaryKeySelective(model);
    }

    //获取详情
    public TAppScan findById(Integer versionid) {
        return AppScanMapper.findById(versionid);
    }

    //获取列表
    public List <AppversionVo> listAll() {
        return AppScanMapper.listAll();
    }

    /**
     * 获取最新app版本
     * @Param []
     * @Author ywx
     * @Date 2020/6/17 13:45
     * @return com.xhkjedu.model.appversion.TAppclient
     **/
    public TAppScan getNew() {
        return AppScanMapper.getNew();
    }
}
